#pragma once

#include "resource_manager.h"
#include "font.h"

namespace Halley {
	class FontManager : public ResourceManager<FontFile> {
	public:
		FontManager(String basePath);

	protected:
		virtual shared_ptr<FontFile> load(String name);
	};
}
